Bug 619991 - Review Request: ghc-text - Haskell efficient packed Unicode text type
Review Request: ghc-text - Haskell efficient packed Unicode text type
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
ready
:
Depends On:
Blocks: ghc-convertible-text ghc-data-object 630274 630288
  Show dependency treegraph
 
Reported: 2010-07-31 04:16 EDT by Jens Petersen
Modified: 2014-01-02 06:27 EST (History)
6 users (show)

See Also:
Fixed In Version: ghc-text-0.8.1.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-25 01:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-07-31 04:16:32 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-text/ghc-text.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-text/ghc-text-0.7.2.1-1.fc13.src.rpm
Description:
text: An efficient packed Unicode text type

This library is needed by darcs-2.5 which is currently in beta.
Comment 1 Jens Petersen 2010-08-31 22:21:36 EDT
Thanks for taking the review.

Updating to new release:

Spec: http://petersen.fedorapeople.org/ghc-text/ghc-text.spec
Srpm: http://petersen.fedorapeople.org/ghc-text/ghc-text-0.8.0.0-1.fc13.src.rpm
Comment 2 Shakthi Kannan 2010-09-05 02:57:11 EDT
Srpm: http://petersen.fedorapeople.org/ghc-text/ghc-text-0.8.0.0-1.fc13.src.rpm

The build fails with:

Data/Text.hs:176:0:
    Bad interface file: /usr/lib/ghc-6.12.3/deepseq-1.1.0.0/Control/DeepSeq.p_hi
        Data.Binary.getWord8: end of file

It doesn't build on Koji as well:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=2447752

Can you please check?
Comment 3 Ben Boeckel 2010-09-05 10:59:13 EDT
This one worked for me on F14 x86_64 in a mock root (used in the big dep chain for yesod):

    % sha1sum ghc-text-0.8.0.0-1.fc13.src.rpm
    14c30fa6de968883957ebcffa431ebbca01e5370  ghc-text-0.8.0.0-1.fc13.src.rpm
Comment 4 Jens Petersen 2010-09-06 01:02:04 EDT
Shakthi, we should really be scratch building in rawhide dist-f15,
but it currently has ghc issues related to binutils changes.
So please do scratch builds in dist-f14, as Ben suggested.
dist-f13 is too old or doesn't have new enough ghc-rpm-macros at least
and currently dist-f14 and dist-f15 is basically same for ghc.
Comment 5 Shakthi Kannan 2010-09-07 13:11:58 EDT
Since, there are tests/ in the sources, is it possible to run them as required? It is commented in the .spec file. Otherwise, the package looks okay.
Comment 6 Jens Petersen 2010-09-12 23:23:55 EDT
Well the tests need http://hackage.haskell.org/package/criterion
to run which is not yet packaged for Fedora, I left it there as
a comment for now.
Comment 7 Jens Petersen 2010-09-13 02:30:05 EDT
New upstream release:

Spec: http://petersen.fedorapeople.org/ghc-text/ghc-text.spec
Srpm: http://petersen.fedorapeople.org/ghc-text/ghc-text-0.8.1.0-1.fc13.src.rpm

(f15 binutils was updated so building for rawhide should work ok now.)
Comment 8 Jens Petersen 2010-09-13 02:34:28 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2463683
Comment 9 Shakthi Kannan 2010-09-13 12:42:43 EDT
 +:ok, =:needs attention, -:needs fixing,  NA: not applicable

MUST Items:
[] MUST: rpmlint output

$ rpmlint ghc-text-*
ghc-text.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-text.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-text.i686: W: incoherent-version-in-changelog 0.8.0.0-1 ['0.8.1.0-1.fc15', '0.8.1.0-1']
ghc-text-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-text-prof.i686: E: devel-dependency ghc-text-devel
ghc-text-prof.i686: W: no-documentation
ghc-text-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/text-0.8.1.0/libHStext-0.8.1.0_p.a
4 packages and 1 specfiles checked; 1 errors, 6 warnings.

All standard and waived

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

$ md5sum text-0.8.0.0.tar.gz
1cb65ac96138a610187cd7ff02db30c5  text-0.8.0.0.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2463683

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: packages which store shared library files in the dynamic linker's
default paths, must call ldconfig in %post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

Only minimal differences to cabal2spec template.

[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Package is APPROVED.
Comment 10 Jens Petersen 2010-09-16 04:43:24 EDT
Thanks for reviewing.

New Package SCM Request
=======================
Package Name: ghc-text
Short Description: Haskell efficient packed Unicode text type
Owners: petersen
Branches: f14 f13 f12
InitialCC: haskell-sig
Comment 11 Kevin Fenzi 2010-09-16 18:57:13 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2010-09-16 20:59:28 EDT
ghc-text-0.8.1.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-text-0.8.1.0-1.fc14
Comment 13 Fedora Update System 2010-09-16 20:59:33 EDT
ghc-text-0.8.1.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-text-0.8.1.0-1.fc13
Comment 14 Fedora Update System 2010-09-17 00:03:38 EDT
ghc-text-0.8.1.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-text'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-text-0.8.1.0-1.fc14
Comment 15 Fedora Update System 2010-09-25 01:34:19 EDT
ghc-text-0.8.1.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-09-28 01:23:16 EDT
ghc-text-0.8.1.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-09-30 20:10:57 EDT
ghc-text-0.8.1.0-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/ghc-text-0.8.1.0-1.fc12
Comment 18 Fedora Update System 2010-10-27 18:40:59 EDT
ghc-text-0.8.1.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Jens Petersen 2012-05-11 06:42:22 EDT
Package Change Request
======================
Package Name: ghc-text
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 20 Gwyn Ciesla 2012-05-11 08:25:13 EDT
Git done (by process-git-requests).
Comment 21 Jens Petersen 2013-12-27 08:35:12 EST
Package Change Request
======================
Package Name: ghc-text
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 22 Jens Petersen 2014-01-02 06:27:51 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.